﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MCH_Grid.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            GridModel SampleGrid = new GridModel();
            GridColumn col;
            int counter = 0;
            string[] lstDistinctHeader = new string[] { "Header1", "Header2", "Header3" };
            List<ColumnData> lstConsolidated = new List<ColumnData>() { new ColumnData()  {txtHeader= "Header1" },
                new ColumnData() { txtHeader = "Header2" }, new ColumnData() { txtHeader = "Header3" } };
            foreach (var item in lstDistinctHeader)
            {
                int count = 0;
                GridColumn grpCol = new GridColumn();
                grpCol.HeaderText = item;
                var lstconsolidatedFiltered = lstConsolidated.Where(a => a.txtHeader == item).ToList();
                foreach (var item1 in lstconsolidatedFiltered)
                {
                    string headerName = item1.txtHeader;
                    if (headerName == string.Empty)
                    {
                        headerName = counter.ToString();
                    }
                    else
                    {
                        headerName = counter + "-" + headerName;
                    }
                    counter++;
                    if (count == 0)
                    {
                        col = new GridColumn()
                        {
                            HeaderText = item,
                            Key = headerName,
                            Hidden = false
                        };
                        col.GroupOptions.Hidden = CollapsibleGroupHidden.ParentExpanded;
                        grpCol.Group.Add(col);
                    }
                    count++;
                    col = new GridColumn()
                    {
                        HeaderText = item,
                        Key = headerName,
                        Hidden = false
                    };
                    col.GroupOptions.Hidden = CollapsibleGroupHidden.ParentCollapsed;
                    grpCol.Group.Add(col);

                }
                grpCol.GroupOptions.AllowGroupCollapsing = true;
                grpCol.GroupOptions.Expanded = false;
                SampleGrid.Columns.Add(grpCol);
            }
            SampleGrid.PrimaryKey = "AssignedFor";
            SampleGrid.AutoCommit = true;
            SampleGrid.DataSource = new List<object> { }.AsQueryable();
            SampleGrid.AutoGenerateColumns = false;
            SampleGrid.DefaultColumnWidth = "240px";
            SampleGrid.Width = "100%";
            SampleGrid.Height = "500px";
            GridMultiColumnHeaders f = new GridMultiColumnHeaders();
            SampleGrid.Features.Add(f);
            return View(SampleGrid);
        }
    }
}